Bug 191984 - mozilla Missing BuildRequire on libXt-devel
mozilla Missing BuildRequire on libXt-devel
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
rawhide
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks: BuildReqBlocker
  Show dependency treegraph
 
Reported: 2006-05-16 13:48 EDT by Andreas Thienemann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-17 18:53:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch, adding the missing buildreqs (373 bytes, patch)
2006-05-16 13:48 EDT, Andreas Thienemann
no flags Details | Diff

  None (edit)
Description Andreas Thienemann 2006-05-16 13:48:17 EDT
Mozilla is missing a build-dependency on libXt-devel:

gcc -o gtk2xtbin.o -c -DOSTYPE=\"Linux2.6.15-1\" -DOSARCH=\"Linux\"
-D_IMPL_NS_WIDGET -DUSE_XIM   -I../../../dist/include/gtkxtbin
-I../../../dist/include -I/usr/include/nspr4    -I.     -fPIC  -Wall -W
-Wno-unused -Wpointer-arith -Wcast-align -Wno-long-long -pedantic -g -pthread
-pipe  -DNDEBUG -DTRIMMED -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0
-I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0
-I/usr/lib64/glib-2.0/include     -include ../../../mozilla-config.h
-DMOZILLA_CLIENT -Wp,-MD,.deps/gtk2xtbin.pp gtk2xtbin.c
In file included from gtk2xtbin.c:46:
gtk2xtbin.h:44:27: error: X11/Intrinsic.h: No such file or directory

Attached is a patch, adding this requirement.
Comment 1 Andreas Thienemann 2006-05-16 13:48:17 EDT
Created attachment 129248 [details]
Patch, adding the missing buildreqs
Comment 2 Jesse Keating 2006-07-10 15:52:48 EDT
Ping.  A mass rebuild is scheduled for tomorrow, July 11th.  Please try to have
your package fixed by then.
Comment 3 Jesse Keating 2006-08-17 18:53:52 EDT
Mozilla is no longer in the distro.

Note You need to log in before you can comment on or make changes to this bug.